#
# spec file for package desktop-translations (Version 11.2)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           desktop-translations
Version:        11.2
Release:        11.16.1
Summary:        Desktop Files Translation updates
License:        BSD3c(or similar)
Group:          System/GUI/Other
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
AutoReqProv:    on
Source0:        desktop-translations.tar.bz2
Source99:       PREPARE_PACKAGE
BuildArch:      noarch
Supplements:    kdelibs3
Supplements:    libkde4
Supplements:    yast2-control-center
Supplements:    libglib-2_0-0
Provides:       locale(af;ar;bg;be;bn;bs;ca;cs;cy;da;de;el;en_GB;en_US;es;et;fi;fr;gl;gu;he;hi;hr;hu;id;it;ja;ka;km;ko;lo;lt;mk;mr;nb;nl;pa;pl;pt;ro;ru;si;sk;sl;sr;sr@Latn;sv;ta;tr;uk;vi;wa;xh;zh_CN;zh_TW;zu)

%description 
This package provides further translations for installed desktop files.



Authors:
--------
    Adrian Schroeter <adrian@suse.de>

%prep
%setup -q -c %name

%build

%install
pushd po
for lang in *; do 
  if test "$lang" = "nb_no"; then
    continue
  fi
  if test -f $lang; then
	rm $lang
  else
    mkdir -p $RPM_BUILD_ROOT/usr/share/locale/$lang/LC_MESSAGES
    for f in $lang/*.po; do 
       msgfmt -o $RPM_BUILD_ROOT/usr/share/locale/$lang/LC_MESSAGES/desktop_translations.mo $f
       msgunfmt --no-wrap $RPM_BUILD_ROOT/usr/share/locale/$lang/LC_MESSAGES/desktop_translations.mo | \
          grep -v '^"[A-Z][^ ]*: ' | grep '[^\][\]n"' && exit 1
    done
  fi
done
popd
%find_lang desktop_translations

%clean
rm -rf $RPM_BUILD_ROOT

%files -f desktop_translations.lang
%defattr(-,root,root)

%changelog
* Wed Jan 13 2010 ke@suse.de
- update translations.
- fix charset issue with 'pl' translations; bnc#561539.
* Tue Nov 24 2009 ke@suse.de
- update translations.
- fix AppArmor tooltips in YCC; bnc#538245.
* Thu Oct 29 2009 ke@suse.de
- update translations for 11.2 RC2.
* Wed Oct 21 2009 ke@suse.de
- update translations for 11.2 RC2.
- work around a whitespace issue where YCC is affected; bnc#538245.
* Fri Oct  9 2009 ke@suse.de
- update translations for 11.2. RC1.
* Mon Oct  5 2009 ke@suse.de
- update translations, post 11.2 M8.
- Fix bugs bnc#538875 and bnc#539920 (partially).
* Thu Sep 24 2009 ke@suse.de
- update translations for 11.2. M8.
* Thu Sep 17 2009 ke@suse.de
- update translations from suse-i18n--see bnc#538245..
* Mon Aug 17 2009 ke@suse.de
- update translations from suse-i18n.
* Mon Aug 10 2009 ke@suse.de
- update translations from suse-i18n.
* Tue Jun 16 2009 ke@suse.de
- update translations.
- add 'be'.
- PREPARE_PACKAGE: quote '&' in file names (ctxt).
* Fri May 15 2009 ke@suse.de
- update translations.
* Thu Mar 19 2009 ke@suse.de
- update translations.
- PREPARE_PACKAGE: Skip missing entries.mo files.
* Fri Feb 27 2009 coolo@suse.de
- remove sr@Latn (also from svn)
* Fri Feb 27 2009 coolo@suse.de
- switch back to openSUSE translations
* Mon Dec 15 2008 ke@suse.de
- update translations for SLE11.
* Sat Nov 29 2008 coolo@suse.de
- update translations.
* Fri Nov 14 2008 ke@suse.de
- update translations.
* Sat Nov  8 2008 coolo@suse.de
- update translations
* Fri Nov  7 2008 ke@suse.de
- update translations.
* Thu Nov  6 2008 coolo@suse.de
- update translations
* Mon Oct 27 2008 coolo@suse.de
- initial package split out of update-desktop-files
